
/*
Make each piece as a seperate module, then join them all together.
Units are in mills - scalled at the end
*/


//ARC
	//started with finger_top 
		//translate and flip the arc
		//translate and flip the joint, modify to approximate the picture

module arc(){

    translate([0,1450,200]){			//shift
	rotate([180,0,0]){				//rotate
	difference(){				//same as finger_top
		cylinder(h=200, r=1400); 
		cylinder(h=200, r=1200); 
			translate( [-1500,-1400,0]){
				cube(size = [3000,2050,200], center =false);}
			translate([-1500,600,0]){
				cube(size=[800,475,200], center= false);}
			}
		}
	}
   }


//FingerTip

module tip(){
	rotate([90,0,0])
		translate([875,0,-800]){
			intersection(){
				cube(size=[700,700,150]);
				cylinder(h=150,r=700);
					}			
				}
		}	

//Joint


module joint(){
union(){
  /* translate([0,1450,200]){			//shift
       rotate([180,0,0]){				//rotate
	translate([-800,1000,0]){
		cylinder(h=200, r=180);}
	     }
           }
*/
   translate([-1175,275,0]){                   //reinforce pivot
	cube(size=[560,320,200]);}
     }
  translate([-1550,125,0]){		//tail
	rotate([0,0,20])
	cube(size=[650,200,200]);}
}


module hole(){
	   translate([-880,650,0]){
		cylinder(h=250,r=175);}
	}
   

// draw the solids

module solid(){
	union(){
		arc();
		tip();
		joint();
		}
	 }
//draw the whole thing and scale

scale([0.025,0.025,0.025]){    //scale to 0.0254 when done drafting
//scale([1,1,1]){

difference(){
	solid();
	hole();
	}


}
	
		





















































	
