
/*
Make each piece as a seperate module, then join them all together.
Units are in mills - scalled at the end
*/


//ARC

module arc(){
	difference(){	
		cylinder(h=200, r=1400); 
		cylinder(h=200, r=1200); 
			translate( [-1500,-1400,0]){
				cube(size = [3000,2050,200], center =false);}
			translate([-1400,600,0]){
				cube(size=[800,200,200], center= false);}
			}
		}


//FingerTip

module tip(){
	rotate([90,0,0])
		translate([875,0,-800]){
			intersection(){
				cube(size=[700,700,150]);
				cylinder(h=150,r=700);
					}			
				}
		}	

//Joint
	
module joint(){
	translate([-800,1000,0]){
		difference(){
		cylinder(h=200, r=180);
		cylinder(h=200, r=90);
			}
		}
	translate([-1050,805,0]){
		cylinder(h=200, r=100);
		}
	}

//draw the whole thing

scale([0.0254,0.0254,0.0254]){    //this scale seems correct in blender
						  
	union(){
		arc();
		tip();
		joint();
		}
	}
	
		





















































	
